/**********************************************************************
  			Network information		    
 **********************************************************************/
#define	irc_network 	"MayaNET"
#define	admin_chan  	"#Opers"
#define	random_serv 	"irc.maya.net.tr"
#define	network_www 	"http://irc.maya.net.tr"
#define	network_aup 	"http://irc.maya.net.tr"
#define	netwide_kline 	"ircadmin@maya.net.tr"
#define	network_letters "MY"	/* 2 chars, to be displayed on quits  */

/**********************************************************************
  			Network contacts		    
 **********************************************************************/
#define	contact_url 	"http://irc.maya.net.tr/IRCadmin"
#define	contact_email 	"ircadmin@maya.net.tr"
#define	kline_address 	"ircadmin@maya.net.tr"

/**********************************************************************
  			Host masking		    
 **********************************************************************/
#define	x_prefix	"xxx"
#define	oper_host	"ircop.maya.net.tr"
#define	admin_host	"admin.maya.net.tr"
#define	locop_host	"locop.maya.net.tr"
#define	sadmin_host	"service.maya.net.tr"
#define	tadmin_host	"techadmin.maya.net.tr"
#define	netadmin_host	"netadmin.maya.net.tr"
#define	helper_host	"helper.maya.net.tr"

/**********************************************************************
  		    User connect auto modes
 **********************************************************************/
#undef	NO_DEFAULT_HIDE		/* undefine to disable auto +i */
#undef	NO_DEFAULT_INVISIBLE	/* undefine to disable auto +x */

/**********************************************************************
		    Clone checking / Socks Detection
 **********************************************************************/
#define	THROTTLE	 	/* undefine to disable clone checking */
#define	CHECK_CLONE_LIMIT   7	/* after n connections */
#define	CHECK_CLONE_PERIOD 15	/* during time (seconds) */
#define	CHECK_CLONE_DELAY  60	/* will put a temp zline (seconds) */
#undef	CHECKFORSOCKS		/* undefine to disable */

/**********************************************************************
				Services
 **********************************************************************/
#define	SERVICES_NAME	"services.maya.net.tr"
#define	ChanServ	"ChanServ"
#define	MemoServ	"MemoServ"
#define	NickServ	"NickServ"
#define	OperServ	"OperServ"
#define	NewsServ	"NewsServ"
#define	StatServ	"StatServ"
 
/**********************************************************************
			IRC Operators privileges				
 **********************************************************************/
#define	CANUSENEWHOST		/* Can use new host command */
#define	CANUSEFMODE		/* Can use fake modes */
#define	NOSELFKILL		/* Cannot do self kills */ 
#undef	NOOPERKILL		/* Cannot kill other opers */
#define	KICKPROTECTION		/* Cannot be kicked */
#define	OPERCANALWAYSSEND	/* Operator can always send (+b/+m) */
#define	CANALWAYSJOIN		/* Can always join a channel */
#define	CANALWAYSKICK		/* Can always kick (even without @) */
#define	CANSTEALTH		/* NetAdmins can use +S (stealth mode) ? */

/**********************************************************************
			    Misc. Settings
 **********************************************************************/
#undef	NOQUITMSG		/* Quit messsages will never be used */
#define	NOCOLORQUITS		/* Colored quit messages not allowed */
#undef	HIDE_ULINE		/* Hide ulined servers from /links */